Namespace
library
Image / Tag
swift:5.6.1-amazonlinux2
Content Digest
sha256:ccf11729bf64fc33e544e6390fb0863482c8e3bcb1595f8ed387133e85636cb0
Details
Created

2022-05-03 23:38:27 UTC

Size

824 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:8de5b65bd171294b1e04e0df439f4ea11ce923b642eddf3b3d76d297bfd2670c - 7.21% (59.4 MB)

[#001] sha256:55b05a763093ceb4185f94a25a8b1389b90f1434e14840c13333bb20b01bab52 - 32.02% (264 MB)

[#002] sha256:e9720c892fbb4f7a846855f1ff671551496fbcbb11b0050ac9b7c7f8758859c8 - 60.77% (501 MB)

[#003] sha256:2ac8306ae7ceed26d56c52bc38308d66aa09f68775f95cc66935b626d9c0355b - 0.0% (229 Bytes)


History
2022-05-03 23:19:31 UTC

/bin/sh -c #(nop) ADD file:386c34c6960464ef8f88891333fb091aef731602a28a185a9d6db27726fbe504 in /

2022-05-03 23:19:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-05-03 23:37:12 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-05-03 23:37:12 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-05-03 23:37:43 UTC

/bin/sh -c yum -y install binutils gcc git glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-05-03 23:37:45 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-05-03 23:37:46 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-05-03 23:37:46 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.1-release

2022-05-03 23:37:46 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.1-RELEASE

2022-05-03 23:37:46 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-05-03 23:37:46 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.6.1-release SWIFT_VERSION=swift-5.6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-05-03 23:38:21 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-05-03 23:38:27 UTC

/bin/sh -c swift --version

Details
Created

2022-05-04 00:18:10 UTC

Size

768 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.6.1-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:ec3b4c26678b188d3874bed5e14dd278311fc05c81e418d5f0da36ec38d9f488 - 7.93% (60.9 MB)

[#001] sha256:341f66977494846497ca2dbade335ac25fd789bf8d0d724b1f19bb5b7468bf2e - 29.35% (226 MB)

[#002] sha256:7100cbc77c7c2ae0277f830d6b177332fa37a9fb96067f6d6939c4101883b4a6 - 62.71% (482 MB)

[#003] sha256:9cdb08550c4bc899db822d112db924bab3668977a155ab2e3a2afbec6374ec35 - 0.0% (202 Bytes)


History
2022-05-03 22:39:32 UTC

/bin/sh -c #(nop) ADD file:c351a8c80719ef38e02c26849f50bb7d79c24a6347cc2a72ae1a0768964bd113 in /

2022-05-03 22:39:34 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2022-05-04 00:17:06 UTC

/bin/sh -c #(nop) LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2022-05-04 00:17:07 UTC

/bin/sh -c #(nop) LABEL description=Docker Container for the Swift programming language

2022-05-04 00:17:30 UTC

/bin/sh -c yum -y install binutils gcc git glibc-static gzip libbsd libcurl-devel libedit libicu libsqlite libstdc++-static libuuid libxml2-devel tar tzdata zlib-devel

2022-05-04 00:17:31 UTC

/bin/sh -c #(nop) ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2022-05-04 00:17:32 UTC

/bin/sh -c #(nop) ARG SWIFT_PLATFORM=amazonlinux2

2022-05-04 00:17:33 UTC

/bin/sh -c #(nop) ARG SWIFT_BRANCH=swift-5.6.1-release

2022-05-04 00:17:34 UTC

/bin/sh -c #(nop) ARG SWIFT_VERSION=swift-5.6.1-RELEASE

2022-05-04 00:17:35 UTC

/bin/sh -c #(nop) ARG SWIFT_WEBROOT=https://download.swift.org

2022-05-04 00:17:36 UTC

/bin/sh -c #(nop) ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-5.6.1-release SWIFT_VERSION=swift-5.6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2022-05-04 00:18:08 UTC

/bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz

2022-05-04 00:18:10 UTC

/bin/sh -c swift --version

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete